# RUN: docker buildx build --push --platform linux/amd64,linux/arm64 -t cnphpbb/caddy:2-webdav-alpine .
FROM caddy:2.10-builder-alpine AS builder

ENV GOPROXY=https://goproxy.cn,direct

RUN xcaddy build --with github.com/mholt/caddy-webdav

FROM caddy:2.10-alpine

COPY --from=builder /usr/bin/caddy /usr/bin/caddy